Skip to content

Reorder Clusters

POST
/clusters/reorder
curl --request POST \
--url https://api.mengi.cloud/clusters/reorder \
--header 'Content-Type: application/json' \
--data '{ "cluster_ids": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ] }'

Reorder clusters on the dashboard.

Updates the display_order for all clusters based on their position in the provided cluster_ids list.

Media type application/json
ClusterReorderRequest

Request to reorder clusters on the dashboard.

Contains an ordered list of cluster IDs in the desired display order.

object
cluster_ids
required
Cluster Ids
Array<string>
Example generated
{
"cluster_ids": [
"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
]
}

Successful Response

Media type application/json
ClusterListResponse
object
clusters
required
Clusters
Array<object>
ClusterResponse
object
id
required
Id
string format: uuid
name
required
Name
string
provider
required
Provider
string
region
required
Region
string
tier
required
ClusterTier
string
Allowed values: shared testing production
status
required
ClusterStatus
string
Allowed values: pending provisioning importing running upgrading error deleting
kubernetes_version
Any of:
string
server_type
Any of:
string
argocd_url
Any of:
string
git_repo_url
Any of:
string
error_message
Any of:
string
status_message
Any of:
string
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time
provisioning_started_at
Any of:
string format: date-time
provisioning_completed_at
Any of:
string format: date-time
autoscaling_enabled
Autoscaling Enabled
boolean
min_nodes
Any of:
integer
max_nodes
Any of:
integer
target_kubernetes_version
Any of:
string
upgrade_available
Upgrade Available
boolean
upgrade_available_version
Any of:
string
scheduled_upgrade_date
Any of:
string format: date-time
scheduled_upgrade_id
Any of:
string format: uuid
component_bundle_version
Component Bundle Version
string
default: latest
multi_region
Multi Region
boolean
region_locations
Any of:
Array<string>
is_byoc
Is Byoc
boolean
cloud_credential_id
Any of:
string format: uuid
is_imported
Is Imported
boolean
is_autopilot
Is Autopilot
boolean
display_order
Any of:
integer
total
required
Total
integer
Example
{
"clusters": [
{
"tier": "shared",
"status": "pending",
"autoscaling_enabled": false,
"upgrade_available": false,
"component_bundle_version": "latest",
"multi_region": false,
"is_byoc": false,
"is_imported": false,
"is_autopilot": false
}
]
}

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}